One creator's results in one target collaboration, per product
GET
/api/public/v1/tik_tok_shop/target_collabs/{collaborationId}/promotion_detailsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopPromotionDetails
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/target_collabs/<collaborationId>/promotion_details?creatorOpenId=string" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| collaborationId | path | string | required |
| creatorOpenId | query | string | required |
| invitationId | query | string | |
| query | query | string | |
| queryType | query | string | One of PRODUCT_IDPRODUCT_NAME |
| addedType | query | string | One of ALLADDEDNOT_ADDED |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| products | array of object | required |
| products[].[].addedToShowcase | boolean, nullable | |
| products[].[].commission | object | |
| products[].[].commission.adsEffectiveAtMs | integer, nullable | |
| products[].[].commission.effectiveAtMs | integer, nullable | |
| products[].[].commission.openRateBps | integer, nullable | |
| products[].[].commission.previousTargetAdsRateBps | integer, nullable | |
| products[].[].commission.previousTargetRateBps | integer, nullable | |
| products[].[].commission.targetAdsRateBps | integer, nullable | |
| products[].[].commission.targetRateBps | integer, nullable | |
| products[].[].imageUrl | string, nullable | |
| products[].[].isCommissionEffective | boolean, nullable | |
| products[].[].liveCount | integer, nullable | |
| products[].[].price | object, nullable | |
| products[].[].price.max | object, nullable | |
| products[].[].price.max.amount | string, nullable | |
| products[].[].price.max.currency | string, nullable | |
| products[].[].price.min | object, nullable | |
| products[].[].price.min.amount | string, nullable | |
| products[].[].price.min.currency | string, nullable | |
| products[].[].productId | string, nullable | |
| products[].[].productStatusCode | string, nullable | |
| products[].[].promotionPrice | object, nullable | |
| products[].[].promotionPrice.max | object, nullable | |
| products[].[].promotionPrice.max.amount | string, nullable | |
| products[].[].promotionPrice.max.currency | string, nullable | |
| products[].[].promotionPrice.min | object, nullable | |
| products[].[].promotionPrice.min.amount | string, nullable | |
| products[].[].promotionPrice.min.currency | string, nullable | |
| products[].[].title | string, nullable | |
| products[].[].videoCount | integer, nullable |
Example
{
"products": [
{
"addedToShowcase": true,
"commission": {
"adsEffectiveAtMs": 3,
"effectiveAtMs": 3,
"openRateBps": 3,
"previousTargetAdsRateBps": 3,
"previousTargetRateBps": 3,
"targetAdsRateBps": 3,
"targetRateBps": 3
},
"imageUrl": "https://example.com/p/1",
"isCommissionEffective": true,
"liveCount": 3,
"price": {
"max": {
"amount": "string",
"currency": "usd"
},
"min": {
"amount": "string",
"currency": "usd"
}
},
"productId": "string",
"productStatusCode": "MAYA15",
"promotionPrice": {
"max": {
"amount": "string",
"currency": "usd"
},
"min": {
"amount": "string",
"currency": "usd"
}
},
"title": "string",
"videoCount": 3
}
]
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.